Skip to main content
PATCH
/
v1
/
datasets
/
{dataset_id}
Patch dataset info
curl --request PATCH \
  --url https://api.tokenfactory.nebius.com/v1/datasets/{dataset_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "example_dataset",
  "folder": "/some/folder"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "status": "READY",
  "schema": [
    {
      "name": "<string>",
      "type": {
        "name": "string"
      }
    }
  ],
  "metadata": {},
  "folder": "<string>",
  "current_version": "0ed2d94b38fb40b9b61f6a",
  "created_at": 123,
  "error": "<string>",
  "current_version_origin": {
    "type": "s3"
  },
  "type": "dataset",
  "ai_project_id": "example_project"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

dataset_id
string
required

Body

application/json
name
string | null

Dataset name.

Minimum string length: 1
Example:

"example_dataset"

folder
string | null

Folder path.

Minimum string length: 1
Example:

"/some/folder"

Response

Successful Response

id
string
required

The object identifier, which can be referenced in the API endpoints.

Example:

"4d89c87498354518b92fa02fc0ad8720"

name
string
required

ID of the dataset.

Example:

"example_dataset"

status
enum<string>
required

Current status of the dataset.

Available options:
READY,
PENDING,
FAILED,
TEMPORARY,
DRAFT
Example:

"READY"

schema
ColumnSchema · object[]
required

Dataset schema definition.

Examples:
{
  "name": "text",
  "type": { "name": "string" }
}
{
  "name": "text_1",
  "type": {
    "item": { "name": "string" },
    "name": "option"
  }
}
metadata
Metadata · object
required

Additional metadata associated with the dataset.

Example:
{}
folder
string
required

Folder path where the dataset is stored.

Example:

"/some/folder"

current_version
string | null
required

Current version of the dataset.

Example:

"0ed2d94b38fb40b9b61f6a"

created_at
integer
required

Unix timestamp when the dataset was created.

Example:

1760109124

error
string | null
required

Error message if the dataset is in an error state.

current_version_origin
DatasetOriginResponse · object

Origin information for the current dataset version. This object is extensible for source-specific fields.

Example:
{ "type": "s3" }
type
string
default:dataset
ai_project_id
string | null

AI Studio project ID to associate with the dataset.

Example:

"example_project"